<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="tally">
  <mat-card-content>

    <div id="tally-not-enough-votes" *ngIf="isTallyNotEnoughVotesForCreatingArchive">
      {{"tally.archive.status.not_enough_votes" | translate }}
    </div>

    <div id="tally-archive-in-progress" *ngIf="isTallyArchiveInProgress">
      {{"tally.archive.status.creation_in_progress" | translate }}
    </div>

    <div id="tally-archive-failed" *ngIf="isTallyArchiveFailed">
      {{"tally.archive.status.creation_failed" | translate }}
      <div class="button-bar">
        <button mat-raised-button id="tally-archive-retry-button" color="primary" (click)="retry()"
                *ngIf="!isRetryInProgress">
          <mat-icon>redo</mat-icon>
          {{'tally.archive.actions.retry' | translate | uppercase}}
        </button>
      </div>

    </div>

    <div id="tally-archive-created" *ngIf="isTallyArchiveCreated">
      {{"tally.archive.status.created" | translate }}
      <div class="button-bar">
        <a href="{{getDownloadLink()}}" id="downloadLink" *ngIf="tallyArchiveDownloadToken">
          <button id="tally-archive-download-button" mat-raised-button color="primary">
            <mat-icon>file_download</mat-icon>&nbsp;{{'tally.archive.actions.download' | translate | uppercase}}
          </button>
        </a>

        <span id="tally-archive-access-denied" *ngIf="!tallyArchiveDownloadToken">
          {{"tally.archive.access-denied" | translate }}
        </span>

      </div>
    </div>


  </mat-card-content>
</mat-card>
